--- old/usr/src/uts/common/sys/termios.h	2014-01-14 16:17:27.493880283 +0000
+++ new/usr/src/uts/common/sys/termios.h	2014-01-14 16:17:27.507235445 +0000
@@ -377,6 +377,24 @@
 #if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
 #define	TCSETSF		(_TIOC|16)
 
+ /*
+ * linux terminal ioctls we need to be aware of
+ */
+#define	TIOCSETLD	(_TIOC|123)	/* set line discipline parms */
+#define	TIOCGETLD	(_TIOC|124)	/* get line discipline parms */
+
+/*
+ * The VMIN and VTIME and solaris overlap with VEOF and VEOL - This is
+ * perfectly legal except, linux expects them to be separate. So we keep
+ * them separately.
+ */
+struct lx_cc {
+	unsigned char veof;	/* veof value */
+	unsigned char veol;	/* veol value */
+	unsigned char vmin;	/* vmin value */
+	unsigned char vtime;	/* vtime value */
+};
+
 /*
  * NTP PPS ioctls
  */
